PHP Manual
Prev |  | Next

# dio_read

(PHP 4 >= 4.2.0, PHP 5 <= 5.0.4)

dio_read -- Reads bytes from a file descriptor

## Description

string dio_read ( resource fd [, int len] )

The function dio_read() reads and returns len bytes from file with descriptor fd.

## Parameters

fd

  The file descriptor returned by dio_open().

len

  The number of bytes to read. If not specified, dio_read() reads 1K sized block.

## Return Values

The bytes read from fd.

## See Also

dio_write()

Prev | Home | Next
dio_open | Up | dio_seek